org.apache.tinkerpop.gremlin.server

## Class Settings.AuthenticationSettings

- java.lang.Object
- - org.apache.tinkerpop.gremlin.server.Settings.AuthenticationSettings

- Enclosing class:
    Settings

      public static class Settings.AuthenticationSettings
      extends Object

  Settings for the `Authenticator` implementation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `authenticationHandler` The fully qualified class name of the `AbstractAuthenticationHandler` implementation.
    `String` | `authenticator` The fully qualified class name of the `Authenticator` implementation.
    `Map<String,Object>` | `config` A `Map` containing `Authenticator` specific configurations.
    `boolean` | `enableAuditLog` Deprecated. As of release 3.5.0, replaced by `Settings.enableAuditLog` with slight changes in the log message format.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationSettings()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### authenticator

          public String authenticator

      The fully qualified class name of the `Authenticator` implementation. This class name will be used to load the implementation from the classpath. Defaults to `AllowAllAuthenticator` when not specified.

    - #### authenticationHandler

          public String authenticationHandler

      The fully qualified class name of the `AbstractAuthenticationHandler` implementation. This class name will be used to load the implementation from the classpath. Defaults to null when not specified.

    - #### enableAuditLog

          @Deprecated
          public boolean enableAuditLog

      Deprecated. As of release 3.5.0, replaced by `Settings.enableAuditLog` with slight changes in the log message format.
      Enable audit logging of authenticated users and gremlin evaluation requests.

    - #### config

          public Map<String,Object> config

      A `Map` containing `Authenticator` specific configurations. Consult the `Authenticator` implementation for specifics on what configurations are expected.

  - ### Constructor Detail

    - #### AuthenticationSettings

          public AuthenticationSettings()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.